Package com.sas.lsaf.schedule

## Class Schedule

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.schedule.ScheduleDescriptor
    - - com.sas.lsaf.schedule.Schedule

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class Schedule
      extends ScheduleDescriptor

  The class that represents a schedule. A schedule is composed of the item to schedule and the mechanism (trigger) for how and when the schedule will runs.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.schedule.ScheduleDescriptor

      `ScheduleDescriptor.ScheduleStatus`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Schedule​(java.lang.String id, java.lang.String name, java.lang.String description, java.lang.String owner, ScheduleDescriptor.ScheduleStatus status, java.lang.String schedulableLabel, java.util.Date lastModified, Schedulable schedulable, ScheduleTrigger trigger)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `Schedulable` | `getSchedulable()` | Gets the schedulable item.
    `ScheduleTrigger` | `getTrigger()` | Gets the trigger that defines when to run the schedule.
    `int` | `hashCode()` |
    `void` | `setSchedulable​(Schedulable schedulable)` | Sets the schedulable item.
    `void` | `setTrigger​(ScheduleTrigger trigger)` | Sets the trigger which defines when to run the schedule.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.schedule.ScheduleDescriptor

      `getDescription, getLastModified, getName, getOwner, getSchedulableLabel, getStatus, setDescription, setName`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Schedule

          public Schedule​(java.lang.String id,
                          java.lang.String name,
                          java.lang.String description,
                          java.lang.String owner,
                          ScheduleDescriptor.ScheduleStatus status,
                          java.lang.String schedulableLabel,
                          java.util.Date lastModified,
                          Schedulable schedulable,
                          ScheduleTrigger trigger)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the schedules returned by the API.
      Parameters:
        `id` - the unique identifier of the schedule.
        `name` - the name of the schedule.
        `description` - the description of the schedule.
        `owner` - the owner of the schedule.
        `status` - the status of the schedule.
        `schedulableLabel` - the label of the item (such as the job) that is scheduled.
        `lastModified` - the date on which the schedule was last modified.
        `schedulable` - the job to run when the schedule is triggered.
        `trigger` - the infromation about how and when the schedule runs.

  - ### Method Detail

    - #### getSchedulable

          public Schedulable getSchedulable()

      Gets the schedulable item.
      Returns:
        Returns the schedulable item.

    - #### setSchedulable

          public void setSchedulable​(Schedulable schedulable)

      Sets the schedulable item.
      Parameters:
        `schedulable` - The schedulable item.

    - #### getTrigger

          public ScheduleTrigger getTrigger()

      Gets the trigger that defines when to run the schedule.
      Returns:
        The trigger.

    - #### setTrigger

          public void setTrigger​(ScheduleTrigger trigger)

      Sets the trigger which defines when to run the schedule.
      Parameters:
        `trigger` - The trigger.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ScheduleDescriptor`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ScheduleDescriptor`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ScheduleDescriptor`